import { Pipe, PipeTransform } from '@angular/core';
 
@Pipe({
  name: 'INR',
  pure: true
})
export class IndianNumberFormat implements PipeTransform {
  
    //added defineCellsTotalIndxArrForQty by sainath T. to calculate Qty footer total in case of sell plan
    transform(number:number, tofixValue:number): any {
        if( number != undefined )
        {
          var num = Number(number).toFixed(tofixValue);
          //console.log('pipe num>>>'+num);
          return Number(num).toLocaleString('en-IN');
        }
    }
    
}
 
